Security Update Package Dep Conflict

What’s the best way to deal with this conflict?

patch:openSUSE-2015-185-1.noarch conflicts with mozilla-nss.x86_64 < 3.17.4-9.1 provided by mozilla-nss-3.17.3-1.1.x86_64

Thanks.

Maybe you have mixed repos. Looks like you have 2 different versions of the packages

#  | Alias                              | Name                               | Enabled | Refresh
---+------------------------------------+------------------------------------+---------+--------
 1 | FGLRX                              | FGLRX                              | Yes     | Yes    
 2 | Infinality_                        | Infinality                         | Yes     | Yes    
 3 | KDE_Extra                          | KDE Extra                          | Yes     | Yes    
 4 | Mozilla                            | Mozilla                            | Yes     | Yes    
 5 | WINE                               | WINE                               | Yes     | Yes    
 6 | download.opensuse.org-13.2-non-oss | Update Repository (Non-Oss)        | Yes     | Yes    
 7 | download.opensuse.org-non-oss      | Main Repository (NON-OSS)          | Yes     | Yes    
 8 | download.opensuse.org-oss          | Main Repository (DEBUG)            | Yes     | Yes    
 9 | download.opensuse.org-oss_1        | Main Repository (OSS)              | Yes     | Yes    
10 | download.opensuse.org-oss_2        | Main Repository (Sources)          | Yes     | Yes    
11 | download.opensuse.org-update       | Update Repository (DEBUG)          | Yes     | Yes    
12 | download.opensuse.org-update_1     | Main Update Repository             | Yes     | Yes    
13 | dvd                                | DVD                                | Yes     | Yes    
14 | google-chrome                      | google-chrome                      | Yes     | Yes    
15 | home:gottcode                      | Home:Gottcode                      | Yes     | Yes    
16 | home:kolbma:veracrypt              | home:kolbma:veracrypt              | Yes     | Yes    
17 | openSUSE-13.2-0                    | openSUSE-13.2-0                    | Yes     | No     
18 | openSUSE:13.2:Update               | openSUSE:13.2:Update               | Yes     | Yes    
19 | packman                            | Packman                            | Yes     | Yes    
20 | repo-debug-update-non-oss          | openSUSE-13.2-Update-Debug-Non-Oss | Yes     | Yes    

It’s pulling it from the one obs Mozilla repo, so I upgraded both Firefox and nss tools and now get…

patch:openSUSE-2015-185-1.noarch conflicts with MozillaFirefox-translations-common.x86_64 < 36.0-14.2 provided by MozillaFirefox-translations-common-36.0-1.1.x86_64

Who is giving those conflicts? zypper, Yast, apper?

PS
You should post zypper lr -up, that we can see the URL, because I can name a Repo as I will…

Good point, it’s the auto software updater that flashes up in the systray. You click ‘install’ and it generates that message. But if I do zypper up it tells you there is nothing to do and gives no error indication.

lr -up =

1 | FGLRX                              | FGLRX                              | Yes     | Yes     |   99     | http://geeko.ioda.net/mirror/amd-fglrx/openSUSE_13.2/                                                                                                                         
 2 | Infinality_                        | Infinality                         | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/home:/nick31:/INFINALITY-ULTIMATE/openSUSE_13.2/                                                                                    
 3 | KDE_Extra                          | KDE Extra                          | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_13.2/                       
 4 | Mozilla                            | Mozilla                            | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/mozilla/openSUSE_13.2/                          
 5 | WINE                               | WINE                               | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_13.2/                  
 6 | download.opensuse.org-13.2-non-oss | Update Repository (Non-Oss)        | Yes     | Yes     |   99     | http://download.opensuse.org/update/13.2-non-oss/                                         
 7 | download.opensuse.org-non-oss      | Main Repository (NON-OSS)          | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/13.2/repo/non-oss/                              
 8 | download.opensuse.org-oss          | Main Repository (DEBUG)            | Yes     | Yes     |   99     | http://download.opensuse.org/debug/distribution/13.2/repo/oss/                            
 9 | download.opensuse.org-oss_1        | Main Repository (OSS)              | Yes     | Yes     |   99     | http://download.opensuse.org/distribution/13.2/repo/oss/                                  
10 | download.opensuse.org-oss_2        | Main Repository (Sources)          | Yes     | Yes     |   99     | http://download.opensuse.org/source/distribution/13.2/repo/oss/                           
11 | download.opensuse.org-update       | Update Repository (DEBUG)          | Yes     | Yes     |   99     | http://download.opensuse.org/debug/update/13.2/                                           
12 | download.opensuse.org-update_1     | Main Update Repository             | Yes     | Yes     |   99     | http://download.opensuse.org/update/13.2/                                                 
13 | dvd                                | DVD                                | Yes     | Yes     |   99     | http://opensuse-guide.org/repo/13.2/                                                      
14 | google-chrome                      | google-chrome                      | Yes     | Yes     |   99     | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                       
15 | home:gottcode                      | Home:Gottcode                      | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/home:/gottcode/openSUSE_13.2/                   
16 | home:kolbma:veracrypt              | home:kolbma:veracrypt              | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/home:/kolbma:/veracrypt/openSUSE_13.2/          
17 | openSUSE-13.2-0                    | openSUSE-13.2-0                    | Yes     | No      |   99     | cd:///?devices=/dev/disk/by-id/ata-ASUS_DRW-24F1ST_a_S13A68ED700CTM                       
18 | openSUSE:13.2:Update               | openSUSE:13.2:Update               | Yes     | Yes     |   99     | http://download.opensuse.org/repositories/openSUSE:/13.2:/Update/standard/                
19 | packman                            | Packman                            | Yes     | Yes     |   99     | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2/                                  
20 | repo-debug-update-non-oss          | openSUSE-13.2-Update-Debug-Non-Oss | Yes     | Yes     |   99     | http://download.opensuse.org/debug/update/13.2-non-oss/                                   
linux-d6i9:/home/me # 

Try to install the updates with YaST->Online Update or “sudo zypper patch”. They might offer you the possibility to solve the conflict.
If in doubt, please post the exact conflict message you get there.

OTOH, you could also remove the mozilla repo. Personally I don’t really see a point in having it, you get new versions of Firefox, Seamonkey, and Thunderbird via the standard update repo anyway.

It was easier to just ditch that Mozilla repo in the end, I was going round in circles. Error message disappeared soon as. Thanks.